Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 609067 - gdm-simple-greeter WARNING: Failed to send buffer
gdm-simple-greeter WARNING: Failed to send buffer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 07:12 EDT by Ralf Corsepius
Modified: 2011-06-27 15:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:07:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from booting (54.04 KB, application/octet-stream)
2010-07-07 11:24 EDT, Ralf Corsepius
no flags Details
Another /var/log/message (68.77 KB, text/plain)
2010-07-08 01:48 EDT, Ralf Corsepius
no flags Details

  None (edit)
Description Ralf Corsepius 2010-06-29 07:12:58 EDT
Description of problem:

Seemingly after each reboot I find a warning similar to this in /var/log/messages:
gdm-simple-greeter[2254]: WARNING: Failed to send buffer

Version-Release number of selected component (if applicable):
gdm-2.30.2-1.fc13.x86_64

How reproducible:
Always.


Steps to Reproduce:
1. reboot
2. check /var/log/messages
3.
  
Actual results:
c.f. above

Expected results:
Function.

Additional info:
* After each reboot I am observing a ca. 1-2 minutes long period of gdm behaving very non-responsive, of which I don't know the cause yet.
* SELinux is disabled.
Comment 1 Tajidin Abdullah 2010-07-07 03:45:26 EDT
could you please attach your /var/log/messages to this reply



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Ralf Corsepius 2010-07-07 08:41:51 EDT
(In reply to comment #1)
> could you please attach your /var/log/messages to this reply
What is it that you are looking for?

I do not want to send an unfiltered /var/log/messages for reasons of privacy.
Comment 3 Tajidin Abdullah 2010-07-07 08:49:40 EDT
Remove whatever sensitive data is in the logs.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Tajidin Abdullah 2010-07-07 09:53:45 EDT
This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Ralf Corsepius 2010-07-07 11:24:33 EDT
Created attachment 430095 [details]
/var/log/messages from booting

This attachment contains a slightly trimmed excerpt of the /var/log/messages of my system exposing this issue.

Note: This system is my local network's main server. It hosts my network's bind/named and yp/nis-server. It supplies yp-based passwds and autofs-maps for autofs.

[Wild guess: The cause of the several minutes long wait could be gdm trying to access all autofs-mounted home directories, which are spread all across the network, with some hosts not being permanently on. 
However I am not sure this is related to the "Failed to send buffer" message.
]
Comment 6 Ralf Corsepius 2010-07-08 01:48:04 EDT
Created attachment 430240 [details]
Another /var/log/message

Same machine, this time in a clean, original Fedora default "desktop" configuration (no yp-server, no bind, no autofs, no nfs, selinux on, ...).

gdm-login doesn't expose the "2 minutes wait", but the gdm-simple-greeter warnings/errors remain.

My conclusion: The "2 minutes wait issue" is independent of gdm-simple-greeter bugs.
Comment 7 Sergey Rudchenko 2010-07-09 09:57:02 EDT
Thank you for the bug report and your efforts for the problem resolution!

Regarding the last info I can make 2 conclusions:
1) The core problem of this bug report is related to unresponsive autofs home directories.
2) The warning is quite innocent message in the log and no obscured harm can be connected with it

Am I right?

If I am I propose to close this report as NOTABUG since there's no real problem related to GDM.

Though if you think there are no reasons for the autofs mounts to behave so long we should change the title and reassign the bug somewhere to kernel.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Ralf Corsepius 2010-07-09 10:21:01 EDT
(In reply to comment #7)

> Regarding the last info I can make 2 conclusions:
> 1) The core problem of this bug report is related to unresponsive autofs home
> directories.
Not quite. Though non-responsive autofs may be the cause of the delays, the real bug is in gdm: It is wrong in wanting to access all user's home's.

I have just a small network with very few users, but imagine what would happen in a corporite network with 100s of users.

> 2) The warning is quite innocent message in the log and no obscured harm can be
> connected with it
Is it? Which piece of code issues it?

> Am I right?
> 
> If I am I propose to close this report as NOTABUG since there's no real problem
> related to GDM.
Only if you 
a) tell me how to prevent gdm from scaning all homes
and
b) which line of code it is which triggers the warning.

> Though if you think there are no reasons for the autofs mounts to behave so
> long we should change the title and reassign the bug somewhere to kernel.
The problem is in gdm: It's broken design to scan all homes (including networked ones) and to mount them.
Comment 9 Brent R Brian 2010-09-11 18:31:45 EDT
Description of problem:

System boots normally.  Select user, OK.  Provide password, OK.  Cursor goes busy and nothing else happens.

CTRL-ALT-F2 and log in as root, tar'd /var/log

How reproducible:

Every time.  System not usable graphically.

Steps to Reproduce:
1. Boot
2. Select User
3. Provide Password
  
Actual results:

Login screen stays "busy" forever.

Expected results:

Desktop.

Additional info:

Have been keeping system up to date with "yum -u update".

Only errors seen in recent log files:

<messages>-------------------------------------------------------------

Sep 11 16:32:41 hp gdm-simple-greeter[1661]: WARNING: Failed to send buffer

Sep 11 16:32:41 hp NetworkManager[1168]: <error> [1284237161.462549] [nm-manager.c:1331] user_proxy_init(): could not init user settings proxy: (3) Could not get owner of name 'org.freedesktop.NetworkManagerUserSettings': no such name

Sep 11 16:32:41 hp NetworkManager[1168]: <error> [1284237161.585386] [nm-manager.c:1331] user_proxy_init(): could not init user settings proxy: (3) Could not get owner of name 'org.freedesktop.NetworkManagerUserSettings': no such name
Comment 10 Brent R Brian 2010-09-11 19:12:20 EDT
Please ignore my added comments .. I found 

** (gnome-settings-daemon:1654): WARNING **: /usr/lib/libstartup-notification-1.so.0: invalid ELF header

in the gdm log files.

yum reinstall startup-notification

fixed that ....
Comment 11 Bug Zapper 2011-06-01 11:17:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Admin XMLRPC Client 2011-06-21 11:37:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2011-06-21 11:37:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2011-06-21 11:41:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2011-06-21 11:44:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora Admin XMLRPC Client 2011-06-21 11:53:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2011-06-21 11:56:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2011-06-21 11:59:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora Admin XMLRPC Client 2011-06-21 12:00:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Bug Zapper 2011-06-27 15:07:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.